rakarrack built/packaged with wrong options

Bug #972244 reported by Ansgar Strickerschmidt on 2012-04-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
rakarrack (Ubuntu)
Undecided
Unassigned

Bug Description

I am using rakarrack 0.6.1 from Ubuntu (Studio) 11.04, which is the recommended version of Ubuntu Studio.

rakarrack, as it comes OOTB, is built/packaged with wrong options, i.e it has been built with SSE2 support. This makes it inoperable on machines without SSE2 but only with SSE, such as still widespread Athlon XP and Pentium-III machines.
The fault shows up as a crash with "Illegal instruction" when starting original rakarrack, as installed from repository, on a Athlon XP machine.
When rebuilt from source on Athlon XP machine (= SSE2 not available, only SSE), it runs OK.

Possible solutions:
1) rebuild the package with SSE support only, what should be good enough - machines without any SSE are becoming rare
2) offer two (or even three?) different packages: with SSE2 support (same as existing packet), with SSE1 support only, and possibly a third version with MMX support only.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers